INTERFACE
SUBROUTINE SPPTEN (KIDIA,KFDIA,KLON,KLEV,PTSPHY,&
 & PTSL, PQSL, PA, PAP, PAPH,&
 & PTENUIN,PTENVIN,PTENTIN,PTENQIN,&
 & PMULNOISE,&
 & PTENU ,PTENV ,PTENT ,PTENQ, DPTENQ0, DPTENQ1) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTSL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENUIN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENVIN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENTIN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENQIN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMULNOISE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: DPTENQ0(KLON,KLEV,4), DPTENQ1(KLON,KLEV,4)
END SUBROUTINE SPPTEN
END INTERFACE
